clang-tools 10.0.0

Functions
clangd-fuzzer.cpp File Reference

This file implements a function that runs clangd on a single input. More...

`#include "ClangdLSPServer.h"`
`#include "ClangdServer.h"`
`#include "CodeComplete.h"`
`#include "FSProvider.h"`
`#include <cstdio>`
`#include <sstream>`
Include dependency graph for clangd-fuzzer.cpp:

Go to the source code of this file.

## Functions
int | LLVMFuzzerTestOneInput (uint8_t *data, size_t size)

## Detailed Description

This file implements a function that runs clangd on a single input.

This function is then linked into the Fuzzer library.

Definition in file clangd-fuzzer.cpp.

## Function Documentation

## ◆ LLVMFuzzerTestOneInput()

int LLVMFuzzerTestOneInput | ( | uint8_t * | data,
|  | size_t | size
| ) |  |

Definition at line 24 of file clangd-fuzzer.cpp.